POST Shipments
Use this endpoint to create a new shipment within a branch.
User level: Advanced
Endpoint
POST /v1/{scopeId}/shipments| Property | Value |
|---|---|
| Method | POST |
| Scope ID | Branch UUID |
| Authentication | Authorization: Bearer <access_token> |
| Required scope | routix:shipments:write |
| Content-Type | application/json |
| Request body | JSON object |
Allowed create fields
| Field |
|---|
reference |
status |
account_id |
pickup_date |
delivery_date |
weight |
volume |
comment |
Example request
curl -X POST "https://api.routix.com/v1/550e8400-e29b-41d4-a716-446655440000/shipments" \
-H "Authorization: Bearer eyJhbGciOiJIUzI1NiIs..." \
-H "Content-Type: application/json" \
-d '{
"reference": "SHP-2025-001",
"status": "planned",
"pickup_date": "2025-01-20",
"delivery_date": "2025-01-21",
"weight": 1250
}'Example response
{
"data": {
"id": "550e8400-e29b-41d4-a716-446655440031",
"reference": "SHP-2025-001",
"status": "planned",
"weight": 1250
},
"version": "v1"
}Last updated on

